#!/bin/bash
LIB_VER=`ldd --version | awk '/ldd/{print $NF}' | awk '{split($0,a,".");} {print  a[1] "." a[2]}'`
export VM_PATH=`pwd`

LIB_GLIBC215="glibc_215"

VER_CMP=`bc <<< "$LIB_VER < 2.16"`
if [ $VER_CMP -eq "1" ]
  then
    cp -f $VM_PATH/$LIB_GLIBC215/* $VM_PATH
fi

java -Djava.library.path=$VM_PATH -jar VMViewer.jar "$@"
